aboutsummaryrefslogtreecommitdiff
path: root/paludis/resolver/resolver_TEST_any_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/resolver/resolver_TEST_any_setup.sh')
-rwxr-xr-xpaludis/resolver/resolver_TEST_any_setup.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/paludis/resolver/resolver_TEST_any_setup.sh b/paludis/resolver/resolver_TEST_any_setup.sh
index 50ec27ce4..5630934f2 100755
--- a/paludis/resolver/resolver_TEST_any_setup.sh
+++ b/paludis/resolver/resolver_TEST_any_setup.sh
@@ -155,5 +155,26 @@ SLOT="0"
DEPENDENCIES=""
END
+# upgrade-over-any
+echo 'upgrade-over-any' >> metadata/categories.conf
+
+mkdir -p 'packages/upgrade-over-any/target'
+cat <<END > packages/upgrade-over-any/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ || ( upgrade-over-any/dep[>=2] upgrade-over-any/dep[<2] )
+ "
+END
+
+mkdir -p 'packages/upgrade-over-any/dep'
+cat <<END > packages/upgrade-over-any/dep/dep-2.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES=""
+END
+
cd ..